package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db/model"
	"xorm.io/xorm"
)

func GetDayLuckDrawSetting(eg *xorm.Engine) *model.DayLuckDrawSetting {
	var data model.DayLuckDrawSetting
	get, err := eg.Get(&data)
	if err != nil {
		return nil
	}
	if get == false {
		one, err := eg.InsertOne(&data)
		if one == 0 || err != nil {
			return nil
		}
	}
	return &data
}
func GetDayLuckDrawSettingSess(sess *xorm.Session) *model.DayLuckDrawSetting {
	var data model.DayLuckDrawSetting
	get, err := sess.Get(&data)
	if err != nil {
		return nil
	}
	if get == false {
		one, err := sess.InsertOne(&data)
		if one == 0 || err != nil {
			return nil
		}
	}
	return &data
}
func InsertDayLuckDrawSetting(eg *xorm.Engine, data *model.DayLuckDrawSetting) bool {
	if data.Id == 0 {
		one, err := eg.InsertOne(data)
		if one == 0 || err != nil {
			return false
		}
	} else {
		_, err := eg.Where("id=?", data.Id).AllCols().Update(data)
		if err != nil {
			return false
		}
	}
	return true
}
