package model

import (
	"time"
)

type DayLuckDrawOrderJackpot struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Oid        string    `json:"oid" xorm:"index unique(oid_pvd) VARCHAR(255)"`
	Pvd        string    `json:"pvd" xorm:"unique(oid_pvd) index VARCHAR(255)"`
	Amount     string    `json:"amount" xorm:"DECIMAL(11,6)"`
	Commission string    `json:"commission" xorm:"DECIMAL(11,6)"`
	Reward     string    `json:"reward" xorm:"DECIMAL(11,6)"`
	Uid        int       `json:"uid" xorm:"index INT(11)"`
	CreateTime time.Time `json:"create_time" xorm:"DATETIME"`
	Period     int       `json:"period" xorm:"default 0 INT(11)"`
}
