package svc

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	zhios_day_luck_draw_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/utils"
	"time"
	"xorm.io/xorm"
)

func AddOrderJackpot(eg *xorm.Engine, req md.DayLuckDrawOrderJackpotReq) error {
	setting := db.GetDayLuckDrawSetting(eg)
	if setting == nil {
		return nil
	}
	now := time.Now().Unix()
	if setting.IsUse == 0 || setting.StartTime.IsZero() || setting.EndTime.IsZero() || (now > setting.StartTime.Unix() && now < setting.EndTime.Unix()) {
		return nil
	}
	if setting.OrderSoruce == "mall" && zhios_day_luck_draw_utils.InArr(req.Pvd, []string{"mall_goods", "mall_group_buy", "mall_goods_user_lv", "super_group_buy", "mall_supply", "mall_group_own_buy"}) == false {
		return nil
	}
	err := db.AddOrderJackpot(eg, req)
	if err != nil {
		return err
	}
	return nil
}
